#include <h5edit.h>

/* Global variables definitions */
/* option flags */
int	dryrun_g = FALSE;	/* dryrun default off */
atomic_level_t	atomic_level_g = Inc_atomic;	/* atomic level, default Inc. */
						/* For now it is same as 
						 * Yes_atomic.
						 */
/* data and command file name */
const char	*datafilename_g = NULL;
const char	*commfilename_g = NULL;
const char	*command_g = NULL;
const char	*progname_g;	/* program name */
hid_t		datafile_g = -1;
FILE		*commfile_g = NULL;

/* For Lex and Yacc */
int	h5edit_input_len;
char	*h5edit_command;
FILE	*h5edit_commfile;

main(int ac, const char** av){

    if((progname_g=strrchr(av[0], '/')))
	progname_g++;
    else
	progname_g = av[0];

    set_debug();

    parse_option(ac, av);
    execute_command();
    leave(EXIT_SUCCESS);
}
